/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model.auswertung;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Entity;
import javax.persistence.EntityResult;
import javax.persistence.FieldResult;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.SqlResultSetMapping;

@IdClass(KundeGesamt.class)
@Entity
@SqlResultSetMapping(
	name = "GesamtAuswertungMapping",
	entities = {
		@EntityResult(
			entityClass=KundeGesamt.class,
			fields={
				@FieldResult(column="GESAMTGUTHABENKUNDE", name="gesamtguthabenKunde"),
				@FieldResult(column="KUNDENNUMMER", name="kundennummer")
			}
			)
	}
)
public class KundeGesamt implements Serializable {
	
	@Id
	private Integer kundennummer;
	
	private String nachname;
	
	private BigDecimal gesamtguthabenKunde;
	
}
