/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.Iterator;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

import de.jpainfo.model.Adresse;

public class NativeQuery2Test {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Query q = em.createNativeQuery(
                "select id, ort, strasse, hausnummer nummer, plz from adresse ",
                Adresse.class);
        List<Adresse> it = q.getResultList();
        for (Adresse adresse : it) {
            System.out.println(adresse.getStrasse() + " "
                    + adresse.getHausnummer());
        }

        em.close();
        emf.close();
    }
}
