drop table KundeGESAMT;
drop table kunde_konto;
drop table konto;
drop table Kunde;
drop table ADresse;

CREATE TABLE "JPA"."ADRESSE"
(
   ID decimal(10) PRIMARY KEY NOT NULL,
   HAUSNUMMER varchar2(1020),
   ORT varchar2(1020),
   PLZ varchar2(1020),
   STRASSE varchar2(1020)
)
;
CREATE TABLE "JPA"."KONTO"
(
   KONTOART varchar2(124) NOT NULL,
   ID decimal(10) PRIMARY KEY NOT NULL,
   KONTOSTAND decimal(19),
   NUMMER decimal(10) NOT NULL,
   KREDITLIMIT decimal(19),
   SOLLZINSSATZ decimal(19),
   UEBERZIEHUNGSZINSSATZ decimal(19),
   GUTHABENZINSSATZ decimal(19)
)
;
CREATE TABLE "JPA"."KUNDE"
(
   ID decimal(10) PRIMARY KEY NOT NULL,
   GEBURTSDATUM date,
   GESCHLECHT char(4),
   KUNDENNUMMER decimal(10),
   NACHNAME varchar2(1020),
   VORNAME varchar2(1020),
   WOHNORT_ID decimal(10)
)
;
CREATE TABLE "JPA"."KUNDE_KONTO"
(
   KUNDEN_ID decimal(10) NOT NULL,
   KONTEN_ID decimal(10) NOT NULL,
   CONSTRAINT SYS_C004060 PRIMARY KEY (KUNDEN_ID,KONTEN_ID)
)
;
CREATE TABLE "JPA"."KUNDEGESAMT"
(
   KUNDENNUMMER decimal(10) NOT NULL,
   GESAMTGUTHABENKUNDE decimal(19) NOT NULL,
   NACHNAME varchar2(1020) NOT NULL,
   CONSTRAINT SYS_C004057 PRIMARY KEY (KUNDENNUMMER,GESAMTGUTHABENKUNDE,NACHNAME)
)
;

ALTER TABLE "JPA"."KUNDE"
ADD CONSTRAINT FK457BBA561F8B37F
FOREIGN KEY (WOHNORT_ID)
REFERENCES "JPA"."ADRESSE"(ID)
;

ALTER TABLE "JPA"."KUNDE_KONTO"
ADD CONSTRAINT FK1335124B8236E81F
FOREIGN KEY (KUNDEN_ID)
REFERENCES "JPA"."KUNDE"(ID)
;
ALTER TABLE "JPA"."KUNDE_KONTO"
ADD CONSTRAINT FK1335124B2E3AAC95
FOREIGN KEY (KONTEN_ID)
REFERENCES "JPA"."KONTO"(ID)
;

