/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.util.HashMap;
import java.util.Map;


/**
 *  Auswahl der Datenbank
 */
public class DB {

	public static Map<String, String> h2;
	public static Map<String, String> postgresql;
	public static Map<String, String> oracle;
	public static Map<String, String> mysql;
	
	static {
		h2 = new HashMap<String, String>();
		h2.put("javax.persistence.jdbc.driver", "org.h2.Driver");
		h2.put("javax.persistence.jdbc.url", "jdbc:h2:tcp://localhost/bank");
		h2.put("javax.persistence.jdbc.user", "sa");
		h2.put("javax.persistence.jdbc.password", "");
		
		postgresql = new HashMap<String, String>();
		postgresql.put("javax.persistence.jdbc.driver", "org.postgresql.Driver");
		postgresql.put("javax.persistence.jdbc.url", "jdbc:postgresql://localhost/bank");
		postgresql.put("javax.persistence.jdbc.user", "jpa");
		postgresql.put("javax.persistence.jdbc.password", "jpa");
		
		oracle = new HashMap<String, String>();
		oracle.put("javax.persistence.jdbc.driver", "oracle.jdbc.driver.OracleDriver");
		oracle.put("javax.persistence.jdbc.url", "jdbc:oracle:thin:@localhost:1521/xe");
		oracle.put("javax.persistence.jdbc.user", "jpa");
		oracle.put("javax.persistence.jdbc.password", "jpa");
		
		mysql = new HashMap<String, String>();
		mysql.put("javax.persistence.jdbc.driver", "com.mysql.jdbc.Driver");
		mysql.put("javax.persistence.jdbc.url", "jdbc:mysql://localhost:3306/bank");
		mysql.put("javax.persistence.jdbc.user", "jpa");
		mysql.put("javax.persistence.jdbc.password", "jpa");
		

	}
	
}
