/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;

public class DeleteTest {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();
        
        em.getTransaction().begin();
        
        Query q = em.createQuery("delete from Konto k where k.nummer > 10000 ");
        int result = q.executeUpdate();
        
        em.getTransaction().commit();
        
        System.out.println("Saetze geloescht: " + result);
        em.close();
        emf.close();

    }

}
