/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.Iterator;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.FlushModeType;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class FlushModeTest1 {

    public static void main(String[] args) throws Exception {
        Provider.select("eclipselink");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.oracle);
        
        // Pseudo-Code!!
 
        // Auto (Default) FlushModeType
        EntityManager em1 = emf.createEntityManager();
        em1.setFlushMode(FlushModeType.AUTO);

        Query q1 = em1.createQuery("");
        Query q2 = em1.createQuery("");
        
        Query q3 = em1.createQuery("");
        q3.setFlushMode(FlushModeType.COMMIT);


        // Commit FlushModeType
        EntityManager em2 = emf.createEntityManager();
        em1.setFlushMode(FlushModeType.COMMIT);

        Query q4 = em1.createQuery("");
        Query q5 = em1.createQuery("");
        
        Query q6 = em1.createQuery("");
        q6.setFlushMode(FlushModeType.AUTO);

        
        
        
        em1.close();
        emf.close();
    }
}
