/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

import de.jpainfo.model.Kunde;

public class ImplizitJoin {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Query q = em.createQuery(" select k.nachname, k.vorname, k.wohnort.ort "
                + " from Kunde k ");

        List<Object[]> l = q.getResultList();

        for (Object[] o : l) {
            System.out.println(o[0] + ", " + o[1] + " - " + o[2]);
        }

        em.close();
        emf.close();
    }
}
