/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Kunde;

public class LeftJoinDistinctTest {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        TypedQuery<Kunde> q = em.createQuery(" select k "
                + " from Kunde k left join k.konten kto" 
                + " where k.wohnort.ort = 'Braunschweig'", Kunde.class);

//        List<Kunde> l = q.getResultList();

//        for (Kunde k : l) {
//            System.out.println(k.getNachname() );
//        }
        OutputHelper.output(q.getResultList());

        em.close();
        emf.close();
    }
}
