/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.Iterator;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class NativeQuery1Test {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Query q = em
                .createNativeQuery("select distinct ort, plz from adresse ");
        Iterator<Object[]> it = q.getResultList().iterator();
        while (it.hasNext()) {
            Object[] zeile = it.next();
            String ort = (String) zeile[0];
            String plz = (String) zeile[1];
            System.out.println(plz + " " + ort);
        }

        em.close();
        emf.close();
    }
}
