/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

import de.jpainfo.model.Kunde;

public class NativeQuery3Test {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Query q = em.createNativeQuery(" select  "
                + " (select sum(kto.kontostand) "
                + "  from Konto kto, Kunde_Konto k2kto "
                + "  where k.id = k2kto.kunden_id and "
                + " k2kto.konten_id = kto.id " + " ) gesamt, k.*"
                + " from kunde k", "GesamtGuthabenMapping");
        
        List<Object[]> l = q.getResultList();
        
        for (Object[] o : l) {
            Kunde k = (Kunde) o[0];
            BigDecimal gesamt = (BigDecimal) o[1];
            System.out.println(k.getNachname() + " " + gesamt);
        }

        em.close();
        emf.close();
    }
}
